.price-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  margin-top: 1.6rem;
  min-height: 6.8rem;

  > .product-price .cmp-price-container > p {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: var(--font-size-base);
    font-weight: 600;
    color: var(--gray-4);
  }

  // Texto esgotado
  > .product-price .cmp-price-sold-out {
    font-size: var(--font-size-base);
    color: var(--gray-4);
    font-weight: 600;
  }

  // Estilos comuns para o preço e preço promocional
  > .product-price .cmp-price-sale-price,
  > .product-price .cmp-price-price {
    font-size: inherit;
    font-weight: inherit;
    width: fit-content;
    color: inherit;
  }

  // Preço promocional
  > .product-price .cmp-price-sale-price {
    display: flex;

    ins {
      text-decoration: none;
    }
  }

  > .product-price .prefix {
    display: none;
  }

  // Oculta o preço de produtos esgotados
  > .product-price .cmp-price-container .cmp-price-sold-out + * {
    display: none;
  }

  // Sufixo do preço e preço promocional
  > .product-price .cmp-price-sale-price .price::after,
  > .product-price .cmp-price-price::after {
    content: " à vista";
    color: var(--gray-3);
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
  }

  // % de desconto ao lado do preço promocional
  > .product-price p .cmp-price-sale-price::after {
    content: var(--discount);
    align-items: center;
    border-radius: 1.6rem;
    color: var(--secondary-color);
    border: 1px solid var(--secondary-color);
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    justify-content: center;
    line-height: 1;
    margin-left: 0.4rem;
    height: 2rem;
    padding: 0 1.6rem;
    text-align: center;
    display: none;

    @include media("sm") {
      display: flex;
    }
  }

  // Preço original geral
  > .product-price .cmp-price-original-price {
    align-items: center;
    display: flex;
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    color: var(--gray-3);
    position: relative;
    margin-bottom: 0.2rem;
  }

  // Parcelas geral
  > .product-price .cmp-price-installments {
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    color: var(--gray-3);
    width: 100%;
    margin-top: 0.2rem;
  }

  > .product-price .cmp-price-installments .value {
    color: var(--gray-4);
    font-weight: 600;
  }

  > .product-price .cmp-price-installments span:not(.value) {
    text-transform: lowercase;
  }
}
